<?php

// Creates and configures a new webobjecttree control
function CreateWebObjectTree($id)
{
    $webObjectTree = new Coalesys\WebObjectTree\WebObjectTree($id, $_REQUEST);
    $webObjectTree->setBackColor("Ivory");
    $webObjectTree->setBorderColor("Gray");
    $webObjectTree->setBorderStyle(Coalesys\WebObjectTree\BorderStyle::Solid);
    $webObjectTree->setBorderWidth("1px");
    $webObjectTree->setClosedIconImageUrl("./images/closed.png");
    $webObjectTree->setCollapsedImageUrl("./images/collapsed.png");
    $webObjectTree->setExpandedImageUrl("./images/expanded.png");
    $font = $webObjectTree->getFont();
    $font->setNames("Arial,helvetica,sans-serif");
    $font->setSize("13px");
    $webObjectTree->setForeColor("#404040");
    $webObjectTree->setHeight("325px");
    $webObjectTree->setInnerIndentImageUrl("./images/inner.png");
    $webObjectTree->setItemIndentImageUrl("./images/item.png");
    $webObjectTree->setLastIndentImageUrl("./images/last.png");
    $webObjectTree->setLeafIconImageUrl("./images/leaf.png");
    $webObjectTree->setLoadingImageUrl("./images/animate.gif");
    $webObjectTree->setLoadingText("please wait");
    $webObjectTree->setOpenedIconImageUrl("./images/opened.png");
    $webObjectTree->setSelectedBackColor("DimGray");
    $webObjectTree->setSelectedForeColor("White");
    $webObjectTree->setSpacerImageUrl("./images/spacer.png");
    $webObjectTree->setWidth("300px");

    return $webObjectTree;
}

?>
