﻿<?php
    include '../../../Coalesys.WebObjectTree.php';
    include 'index.cb.php';

    $webObjectTree1 = CreateWebObjectTree("WebObjectTree1");
    $webObjectTree1->loadState(str_replace("index.php", "Servers.wots", $_SERVER["SCRIPT_FILENAME"]));
    $fullPath1 = $webObjectTree1->getFullPath();
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys WebObjectTree for PHP Sample</title>
    <script src="../../../WebObjectTree.js" type="text/javascript"></script>
    <link href="../../../WebObjectTree.css" rel="stylesheet" type="text/css" />
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
</head>
<body class="csBody" onload="cwotSetFocus('WebObjectTree1', false);">
    <form action="./index.php" method="post">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">WebObjectTree for PHP</div>
        </div>
        <div class="csVContent">
            <div class="csVControl">
                <div class="csControls">
                    <div>
                        Select Server:<br />
                        <?php echo $webObjectTree1->renderControl() ?>
                    </div>
                    <div class="csDivider"></div>
                    <div class="csCommands">
                        <input type="submit" value="Submit" />
                        &nbsp;&nbsp;<a href="index.php">Reset</a>
                    </div>
                </div>
            </div>
            <div class="csVDocument">
                <div class="csDescription">
                    <div class="csTitle">Load From WOTS:</div>
                    <div class="csContent">
                        In this sample, all the WebObjectTree objects and properties are populated from a WebObjectTree State (*.wots) file.<br />
                        <br />
                        This configuration file was created using <b>WebObjectTree Studio</b>, and loaded by calling the following method:<br />
                        <br />
                        <div class="csCode">
                            $webObjectTree1-&gt;loadState(str_replace(&quot;index.php&quot;, &quot;Servers.wots&quot;, $_SERVER[&quot;SCRIPT_FILENAME&quot;]));
                        </div>
                        <br />
                        In this sample the WebObjectTree is allowing you to select a datacenter server, organized by region, location and role.
                        Clicking the &quot;Submit&quot; button will send the full path for your selection to the server and it will be displayed below:
                        <div class="csIndent">
                            <div class="csData"><?php echo ($fullPath1 == "") ? "No path selected." : htmlentities($fullPath1) ?></div>
                        </div>
                        Click the &quot;Reset&quot; link to clear your selection.
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent"><?php echo str_replace("\r\n", "<br />", $webObjectTree1->getAbout()) ?></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /BasicFeatures<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/LoadFromWots
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </form>
</body>
</html>
