﻿var targetId1 = "WebObjectTree1";
var targetId2 = "WebObjectTree2";

var companyEmployees =
{
    "/": { Items: ["Project X", "Project Y"], Children: true },

    "/Project X": { Items: ["Program Managers", "Software Developers", "Test Engineers"], Children: true },
    "/Project X/Program Managers": { Items: ["Elizabeth Maddox", "Nicholas Taylor"] },
    "/Project X/Software Developers": { Items: ["Bernard Woodbury", "Joseph Farnsworth", "Steven Knowles"] },
    "/Project X/Test Engineers": { Items: ["Austin Sullivan", "Joseph Crowell", "Marcia Waters"] },

    "/Project Y": { Items: ["Program Managers", "Software Developers", "Test Engineers"], Children: true },
    "/Project Y/Program Managers": { Items: ["Anna Greene", "Bradley Knight"] },
    "/Project Y/Software Developers": { Items: ["Lynn Goebel", "Michael Harlow", "Roger Alexandre"] },
    "/Project Y/Test Engineers": { Items: ["Kevin Gamble", "Richard Draper", "Stephanie Dodd"] }
};

// Retrieves data requested by the webobjecttree control
function cwotOnBeginRequest(controlId, requestPath)
{
    if (controlId == targetId1 || controlId == targetId2)
    {
        // simulate loading delay
        setTimeout(function ()
        {
            var responseData = companyEmployees[requestPath];
            cwotProcessResponse(controlId, responseData);
        },
        250);
    }

    return null;
}
