var targetId = "WebObjectTree1";

var sampleArtists =
{
    "/": { Items: ["Painter", "Musician"], Children: true },

    "/Painter": { Items: ["Cubist", "Impressionist"], Children: true },
    "/Painter/Cubist": { Items: ["Braque", { Item: "Gleizes", Hint: "Red" }, { Item: "Metzinger", Hint: "Green" }, { Item: "Picasso", Hint: "Blue" }] },
    "/Painter/Impressionist": { Items: ["Bazille", "Monet", "Renoir", "Sisley"] },

    "/Musician": { Items: ["Bassist", "Guitarist"], Children: true },
    "/Musician/Bassist": { Items: ["Clayton", "Entwistle", "Jones", "McCartney"] },
    "/Musician/Guitarist": { Items: ["Buckethead", "Gilmour", "Hendrix", "Richards"] },
};

// Retrieves data requested by the webobjecttree control
function cwotOnBeginRequest(controlId, requestPath)
{
    if (controlId == targetId)
    {
        // simulate loading delay
        setTimeout(function ()
        {
            var responseData = sampleArtists[requestPath];
            cwotProcessResponse(controlId, responseData);
        },
        250);
    }

    return null;
}
