﻿var targetId = "WebObjectTree1";

var sampleFoods =
{
    "/": { Items: ["Vegetables", "Fruits", "Grains", "Dairy", "Protein"], Children: true },

    "/Vegetables": { Items: ["Spinach", "Carrots", "Onions", "Peppers", "Broccoli"], Children: true },
    "/Vegetables/Spinach": { Items: ["Garlic Spinach", "Spinach Arancini", "Spinach Pie", "Spinach Rice", "Spinach Potatoes"] },
    "/Vegetables/Carrots": { Items: ["Candied Carrots", "Carrot Cake", "Carrot Souffle", "Glazed Carrots", "Carrot Pie"] },
    "/Vegetables/Onions": { Items: ["Onion Quiche", "Onion Jam", "Onion Tart", "Onion Strips", "Onion Dip"] },
    "/Vegetables/Peppers": { Items: ["Pepper Bread", "Pepper Salad", "Grilled Peppers", "Pepper Jelly", "Stuffed Peppers"] },
    "/Vegetables/Broccoli": { Items: ["Broccoli Slaw", "Steamed Broccoli", "Broccoli Pesto", "Fried Broccoli", "Broccoli Stuffing"] },

    "/Fruits": { Items: ["Apples", "Oranges", "Bananas", "Berries", "Lemons"], Children: true },
    "/Fruits/Apples": { Items: ["Apple Dumplings", "Apple Pie", "Apple Squares", "Apple Turnovers", "Apple Dip"] },
    "/Fruits/Oranges": { Items: ["Orange Gelatin", "Orange Hummus", "Orange Buns", "Orange Surprise", "Orange Sangria"] },
    "/Fruits/Bananas": { Items: ["Banana Crepes", "Banana Pudding", "Banana Loaf", "Banana Muffins", "Frozen Bananas"] },
    "/Fruits/Berries": { Items: ["Berry Surprise", "Berries and Cream", "Berry Cobbler", "Berry Crisp", "Berry Pie"] },
    "/Fruits/Lemons": { Items: ["Lemon Cake", "Lemon Butter", "Lemon Cheesecake", "Lemon Biscuits", "Lemon Fizz"] },

    "/Grains": { Items: ["Wheat", "Rice", "Oats", "Barley", "Bread", "Pasta"], Children: true },
    "/Grains/Wheat": { Items: ["Wheat Bread", "Wheat Rolls", "Wheat Crackers", "Cream of Wheat", "Wheat Pancakes"] },
    "/Grains/Rice": { Items: ["Rice Salad", "Spanish Rice", "Rice Paddies", "Rice Lasagna", "Rice Pudding"] },
    "/Grains/Oats": { Items: ["Oat Soup", "Oat Bread", "Oat Bars", "Oat Waffles", "Oat Scones"] },
    "/Grains/Barley": { Items: ["Barley Primavera", "Barley Soup", "Barley Pilaf", "Barley Casserole", "Barley Bread"] },
    "/Grains/Bread": { Items: ["Zucchini Bread", "Facaccia Bread", "Pepperoni Bread", "Pumpkin Bread", "Bread Pudding"] },
    "/Grains/Pasta": { Items: ["Pasta Fagioli", "Pasta Salad", "Chestnut Pasta", "Prawn Pasta", "Pasta Fazul"] },

    "/Dairy": { Items: ["Milk", "Butter", "Yogurt", "Cheese"], Children: true },
    "/Dairy/Milk": { Items: ["Milk Bread", "Chocolate Milk", "Milk Shake", "Milk Smoothie", "Milk Tart"] },
    "/Dairy/Butter": { Items: ["Garlic Butter", "Butter Crescents", "Basil Butter", "Lemon Butter", "Butter Cookies"] },
    "/Dairy/Yogurt": { Items: ["Yogurt Cake", "Yogurt Parfait", "Yogurt Rice", "Yogurt Pops", "Yogurt Cornbread"] },
    "/Dairy/Cheese": { Items: ["Cream Cheese", "Cheese Ring", "Cheese Manicotti", "Cheese Fritters", "Cheese Grits"] },

    "/Protein": { Items: ["Chicken", "Fish", "Turkey", "Pork", "Beef"], Children: true },
    "/Protein/Chicken": { Items: ["Chicken Marsala", "Teriyaki Chicken", "Chicken Salad", "Chicken Wings", "Chicken Parmesan"] },
    "/Protein/Fish": { Items: ["Fish Tocos", "Fish Chowder", "Fish and Chips", "Fish Wellington", "Grilled Fish"] },
    "/Protein/Turkey": { Items: ["Turkey Wraps", "Turkey Salad", "Turkey Tenderloins", "Barbecued Turkey", "Turkey Sliders"] },
    "/Protein/Pork": { Items: ["Pork Carnitas", "Pork Steaks", "Roast Pork", "Pork Pie", "Pork Sausage"] },
    "/Protein/Beef": { Items: ["Beef and Noodles", "Beef Fajitas", "Sesame Beef", "Beef Stewganoff", "Beef Tamales"] }
};

// Retrieves data requested by the webobjecttree control
function cwotOnBeginRequest(controlId, requestPath)
{
    if (controlId == targetId)
    {
        // simulate loading delay
        setTimeout(function ()
        {
            var responseData = sampleFoods[requestPath];
            cwotProcessResponse(controlId, responseData);
        },
        250);
    }

    return null;
}
