<?php

// Gets the current request path from the JSON request data
function GetRequestPath()
{
	$requestPath = null;
	$line = file_get_contents("php://input");
	$entries = explode("\"", $line);
	$length = count($entries) - 2;
	for ($index = 0; $index < $length; $index++)
	{
		if ($entries[$index] == "requestPath")
		{
			$requestPath = $entries[$index + 2];
		}
	}

	return $requestPath;
}

// Gets the JSON response data for the specified request path
function GetResponseData($requestPath)
{
    $responseData = "{}";
    if ($requestPath != null)
    {
        if ($requestPath == "/")
        {
            $responseData = "{\"Items\":[\"Americas\",\"Asia\",\"Europe\"],\"Children\":true}";
        }
        else if ($requestPath == "/Americas")
        {
            $responseData = "{\"Items\":[\"Chile\",\"Georgia\",\"Iowa\",\"North Carolina\",\"Oklahoma\",\"Oregon\",\"South Carolina\"],\"Children\":true}";
        }
        else if ($requestPath == "/Americas/Chile")
        {
            $responseData = "{\"Items\":[\"Database Server\",\"Monitoring Server\",\"Web Server\"],\"Children\":true}";
        }
        else if ($requestPath == "/Americas/Chile/Database Server")
        {
            $responseData = "{\"Items\":[\"CL1003SQL\",\"CL1004SQL\",\"CL1005SQL\",\"CL1006SQL\",\"CL1007SQL\"]}";
        }
        else if ($requestPath == "/Americas/Chile/Monitoring Server")
        {
            $responseData = "{\"Items\":[\"CL1005MON\",\"CL1007MON\",\"CL1008MON\"]}";
        }
        else if ($requestPath == "/Americas/Chile/Web Server")
        {
            $responseData = "{\"Items\":[\"CL1003WEB\",\"CL1005WEB\",\"CL1006WEB\",\"CL1008WEB\",\"CL1010WEB\"]}";
        }
        else if ($requestPath == "/Americas/Georgia")
        {
            $responseData = "{\"Items\":[\"Database Server\",\"Monitoring Server\",\"Web Server\"],\"Children\":true}";
        }
        else if ($requestPath == "/Americas/Georgia/Database Server")
        {
            $responseData = "{\"Items\":[\"GA1002SQL\",\"GA1003SQL\",\"GA1005SQL\",\"GA1006SQL\"]}";
        }
        else if ($requestPath == "/Americas/Georgia/Monitoring Server")
        {
            $responseData = "{\"Items\":[\"GA1005MON\",\"GA1007MON\",\"GA1009MON\",\"GA1011MON\"]}";
        }
        else if ($requestPath == "/Americas/Georgia/Web Server")
        {
            $responseData = "{\"Items\":[\"GA1003WEB\",\"GA1005WEB\",\"GA1006WEB\",\"GA1008WEB\",\"GA1009WEB\",\"GA1010WEB\",\"GA1011WEB\",\"GA1013WEB\",\"GA1015WEB\",\"GA1017WEB\",\"GA1018WEB\"]}";
        }
        else if ($requestPath == "/Americas/Iowa")
        {
            $responseData = "{\"Items\":[\"Database Server\",\"Monitoring Server\",\"Web Server\"],\"Children\":true}";
        }
        else if ($requestPath == "/Americas/Iowa/Database Server")
        {
            $responseData = "{\"Items\":[\"IW1002SQL\",\"IW1003SQL\",\"IW1004SQL\",\"IW1006SQL\",\"IW1007SQL\",\"IW1009SQL\",\"IW1010SQL\",\"IW1011SQL\",\"IW1013SQL\"]}";
        }
        else if ($requestPath == "/Americas/Iowa/Monitoring Server")
        {
            $responseData = "{\"Items\":[\"IW1002MON\",\"IW1004MON\",\"IW1006MON\",\"IW1008MON\"]}";
        }
        else if ($requestPath == "/Americas/Iowa/Web Server")
        {
            $responseData = "{\"Items\":[\"IW1002WEB\",\"IW1003WEB\",\"IW1005WEB\"]}";
        }
        else if ($requestPath == "/Americas/North Carolina")
        {
            $responseData = "{\"Items\":[\"Database Server\",\"Monitoring Server\",\"Web Server\"],\"Children\":true}";
        }
        else if ($requestPath == "/Americas/North Carolina/Database Server")
        {
            $responseData = "{\"Items\":[\"NC1005SQL\",\"NC1007SQL\",\"NC1008SQL\",\"NC1010SQL\",\"NC1011SQL\",\"NC1012SQL\",\"NC1014SQL\",\"NC1016SQL\",\"NC1018SQL\",\"NC1020SQL\"]}";
        }
        else if ($requestPath == "/Americas/North Carolina/Monitoring Server")
        {
            $responseData = "{\"Items\":[\"NC1001MON\",\"NC1002MON\",\"NC1004MON\",\"NC1005MON\"]}";
        }
        else if ($requestPath == "/Americas/North Carolina/Web Server")
        {
            $responseData = "{\"Items\":[\"NC1004WEB\",\"NC1005WEB\",\"NC1006WEB\",\"NC1007WEB\",\"NC1009WEB\",\"NC1011WEB\",\"NC1012WEB\",\"NC1014WEB\",\"NC1016WEB\",\"NC1017WEB\",\"NC1019WEB\",\"NC1020WEB\"]}";
        }
        else if ($requestPath == "/Americas/Oklahoma")
        {
            $responseData = "{\"Items\":[\"Database Server\",\"Monitoring Server\",\"Web Server\"],\"Children\":true}";
        }
        else if ($requestPath == "/Americas/Oklahoma/Database Server")
        {
            $responseData = "{\"Items\":[\"OK1004SQL\",\"OK1006SQL\",\"OK1007SQL\",\"OK1008SQL\",\"OK1010SQL\",\"OK1011SQL\",\"OK1012SQL\",\"OK1014SQL\",\"OK1016SQL\"]}";
        }
        else if ($requestPath == "/Americas/Oklahoma/Monitoring Server")
        {
            $responseData = "{\"Items\":[\"OK1004MON\",\"OK1005MON\",\"OK1007MON\"]}";
        }
        else if ($requestPath == "/Americas/Oklahoma/Web Server")
        {
            $responseData = "{\"Items\":[\"OK1004WEB\",\"OK1005WEB\",\"OK1006WEB\",\"OK1008WEB\",\"OK1010WEB\",\"OK1012WEB\"]}";
        }
        else if ($requestPath == "/Americas/Oregon")
        {
            $responseData = "{\"Items\":[\"Database Server\",\"Monitoring Server\",\"Web Server\"],\"Children\":true}";
        }
        else if ($requestPath == "/Americas/Oregon/Database Server")
        {
            $responseData = "{\"Items\":[\"OR1004SQL\",\"OR1005SQL\",\"OR1006SQL\",\"OR1007SQL\",\"OR1009SQL\",\"OR1010SQL\",\"OR1012SQL\"]}";
        }
        else if ($requestPath == "/Americas/Oregon/Monitoring Server")
        {
            $responseData = "{\"Items\":[\"OR1003MON\",\"OR1004MON\",\"OR1006MON\",\"OR1008MON\",\"OR1010MON\",\"OR1011MON\"]}";
        }
        else if ($requestPath == "/Americas/Oregon/Web Server")
        {
            $responseData = "{\"Items\":[\"OR1005WEB\",\"OR1007WEB\",\"OR1008WEB\",\"OR1010WEB\",\"OR1011WEB\",\"OR1012WEB\",\"OR1013WEB\",\"OR1014WEB\",\"OR1015WEB\",\"OR1017WEB\",\"OR1018WEB\",\"OR1019WEB\"]}";
        }
        else if ($requestPath == "/Americas/South Carolina")
        {
            $responseData = "{\"Items\":[\"Database Server\",\"Monitoring Server\",\"Web Server\"],\"Children\":true}";
        }
        else if ($requestPath == "/Americas/South Carolina/Database Server")
        {
            $responseData = "{\"Items\":[\"SC1004SQL\",\"SC1006SQL\",\"SC1007SQL\",\"SC1008SQL\",\"SC1010SQL\",\"SC1011SQL\",\"SC1012SQL\",\"SC1013SQL\",\"SC1014SQL\"]}";
        }
        else if ($requestPath == "/Americas/South Carolina/Monitoring Server")
        {
            $responseData = "{\"Items\":[\"SC1003MON\",\"SC1005MON\",\"SC1006MON\"]}";
        }
        else if ($requestPath == "/Americas/South Carolina/Web Server")
        {
            $responseData = "{\"Items\":[\"SC1002WEB\",\"SC1003WEB\",\"SC1004WEB\",\"SC1006WEB\",\"SC1008WEB\"]}";
        }
        else if ($requestPath == "/Asia")
        {
            $responseData = "{\"Items\":[\"Taiwan\",\"Singapore\"],\"Children\":true}";
        }
        else if ($requestPath == "/Asia/Taiwan")
        {
            $responseData = "{\"Items\":[\"Database Server\",\"Monitoring Server\",\"Web Server\"],\"Children\":true}";
        }
        else if ($requestPath == "/Asia/Taiwan/Database Server")
        {
            $responseData = "{\"Items\":[\"TW1003SQL\",\"TW1004SQL\",\"TW1006SQL\",\"TW1008SQL\",\"TW1010SQL\"]}";
        }
        else if ($requestPath == "/Asia/Taiwan/Monitoring Server")
        {
            $responseData = "{\"Items\":[\"TW1004MON\",\"TW1006MON\",\"TW1007MON\",\"TW1008MON\",\"TW1010MON\",\"TW1012MON\"]}";
        }
        else if ($requestPath == "/Asia/Taiwan/Web Server")
        {
            $responseData = "{\"Items\":[\"TW1005WEB\",\"TW1007WEB\",\"TW1009WEB\",\"TW1011WEB\",\"TW1012WEB\",\"TW1013WEB\",\"TW1014WEB\",\"TW1015WEB\",\"TW1017WEB\",\"TW1019WEB\"]}";
        }
        else if ($requestPath == "/Asia/Singapore")
        {
            $responseData = "{\"Items\":[\"Database Server\",\"Monitoring Server\",\"Web Server\"],\"Children\":true}";
        }
        else if ($requestPath == "/Asia/Singapore/Database Server")
        {
            $responseData = "{\"Items\":[\"SG1004SQL\",\"SG1005SQL\",\"SG1006SQL\",\"SG1007SQL\",\"SG1008SQL\",\"SG1010SQL\",\"SG1011SQL\",\"SG1013SQL\"]}";
        }
        else if ($requestPath == "/Asia/Singapore/Monitoring Server")
        {
            $responseData = "{\"Items\":[\"SG1003MON\",\"SG1005MON\",\"SG1007MON\",\"SG1009MON\"]}";
        }
        else if ($requestPath == "/Asia/Singapore/Web Server")
        {
            $responseData = "{\"Items\":[\"SG1004WEB\",\"SG1005WEB\",\"SG1007WEB\",\"SG1008WEB\",\"SG1010WEB\",\"SG1011WEB\",\"SG1013WEB\",\"SG1014WEB\",\"SG1015WEB\"]}";
        }
        else if ($requestPath == "/Europe")
        {
            $responseData = "{\"Items\":[\"Belgium\",\"Finland\",\"Ireland\"],\"Children\":true}";
        }
        else if ($requestPath == "/Europe/Belgium")
        {
            $responseData = "{\"Items\":[\"Database Server\",\"Monitoring Server\",\"Web Server\"],\"Children\":true}";
        }
        else if ($requestPath == "/Europe/Belgium/Database Server")
        {
            $responseData = "{\"Items\":[\"BE1001SQL\",\"BE1003SQL\",\"BE1005SQL\",\"BE1007SQL\",\"BE1008SQL\",\"BE1010SQL\",\"BE1012SQL\",\"BE1013SQL\"]}";
        }
        else if ($requestPath == "/Europe/Belgium/Monitoring Server")
        {
            $responseData = "{\"Items\":[\"BE1004MON\",\"BE1005MON\",\"BE1006MON\",\"BE1008MON\",\"BE1010MON\"]}";
        }
        else if ($requestPath == "/Europe/Belgium/Web Server")
        {
            $responseData = "{\"Items\":[\"BE1004WEB\",\"BE1005WEB\",\"BE1006WEB\",\"BE1007WEB\",\"BE1008WEB\",\"BE1010WEB\"]}";
        }
        else if ($requestPath == "/Europe/Finland")
        {
            $responseData = "{\"Items\":[\"Database Server\",\"Monitoring Server\",\"Web Server\"],\"Children\":true}";
        }
        else if ($requestPath == "/Europe/Finland/Database Server")
        {
            $responseData = "{\"Items\":[\"FI1002SQL\",\"FI1004SQL\",\"FI1006SQL\",\"FI1008SQL\",\"FI1010SQL\",\"FI1012SQL\"]}";
        }
        else if ($requestPath == "/Europe/Finland/Monitoring Server")
        {
            $responseData = "{\"Items\":[\"FI1004MON\",\"FI1005MON\",\"FI1006MON\",\"FI1007MON\"]}";
        }
        else if ($requestPath == "/Europe/Finland/Web Server")
        {
            $responseData = "{\"Items\":[\"FI1004WEB\",\"FI1006WEB\",\"FI1008WEB\",\"FI1010WEB\",\"FI1011WEB\",\"FI1013WEB\",\"FI1015WEB\"]}";
        }
        else if ($requestPath == "/Europe/Ireland")
        {
            $responseData = "{\"Items\":[\"Database Server\",\"Monitoring Server\",\"Web Server\"],\"Children\":true}";
        }
        else if ($requestPath == "/Europe/Ireland/Database Server")
        {
            $responseData = "{\"Items\":[\"IE1005SQL\",\"IE1007SQL\",\"IE1009SQL\",\"IE1011SQL\",\"IE1013SQL\",\"IE1014SQL\",\"IE1015SQL\",\"IE1017SQL\",\"IE1018SQL\"]}";
        }
        else if ($requestPath == "/Europe/Ireland/Monitoring Server")
        {
            $responseData = "{\"Items\":[\"IE1001MON\",\"IE1002MON\",\"IE1003MON\",\"IE1005MON\",\"IE1006MON\"]}";
        }
        else if ($requestPath == "/Europe/Ireland/Web Server")
        {
            $responseData = "{\"Items\":[\"IE1004WEB\",\"IE1006WEB\",\"IE1007WEB\",\"IE1009WEB\",\"IE1011WEB\",\"IE1012WEB\",\"IE1014WEB\"]}";
        }
    }

    return $responseData;
}

?>
